#include <bits/stdc++.h>

using namespace std;
unsigned long long p , q , r;
long long nzd (long long a, long long b) {
	if (b == 0)
		return a;
	else
		return nzd (b, a % b);
}
long long nzs (long long a, long long b) {

	return a / nzd(a, b) * b;
}
long long ek(long long b , long long i)
{
    if(b%i!=0)
        return b / i+1;
    else
        return b/ i;
}
long long ex(long long l ,long long e)
{
    long long br=0;
    for(long long i = l; i<=e;i++)
        if(i >= (ek(i,p)+ek(i,q)+ek(i,r)))
        {
            br++;
        }


        return br;
}
int main()
{
      long long l , d,uk;
    scanf("%lld%lld%lld",&p,&q,&r);
    scanf("%lld%lld",&l,&d);
     long long nzs1=nzs(nzs(p,q),r);
    int t = nzs1 - (nzs1/p)-(nzs1/q)-(nzs1/r);
    if(t < 0)
        printf("%d",0);
    else if(t==0)
    {
        printf("%lld",d/nzs1+l/nzs1);
    }
    else
    {
        long long  e = 3 * nzs1 / t;
        if(d > e)
             uk = d - e +ex(l,e);
        else
             uk = ex(l,d);


            printf("%lld" ,uk);
}

    return 0;
}